rosbag2_bagfile_information:
  compression_format: zstd
  compression_mode: message
  custom_data: {}
  duration:
    nanoseconds: 179327753514
  files:
  - duration:
      nanoseconds: 179327753514
    message_count: 68780
    path: 00_00_00_to_12_22_59.db3
    starting_time:
      nanoseconds_since_epoch: 1665318000001202888
  message_count: 68780
  relative_file_paths:
  - 00_00_00_to_12_22_59.db3
  ros_distro: rosbags
  starting_time:
    nanoseconds_since_epoch: 1665318000001202888
  storage_identifier: sqlite3
  topics_with_message_count:
  - message_count: 896
    topic_metadata:
      name: /rgb_cam_as_a/image_raw
      offered_qos_profiles: "- avoid_ros_namespace_conventions: false\n  deadline:
        {nsec: 0, sec: 5}\n  depth: 0\n  durability: 2\n  history: 3\n  lifespan:
        {nsec: 0, sec: 1}\n  liveliness: 1\n  liveliness_lease_duration: {nsec: 0,
        sec: 10}\n  reliability: 1"
      serialization_format: cdr
      type: sensor_msgs/msg/Image
      type_description_hash: RIHS01_4dd1dba3247e5b4ff33058ab707b45f6e2f2fc535b004d9654bfd0228b0f50f8
  - message_count: 1793
    topic_metadata:
      name: /lidar_aft/points
      offered_qos_profiles: "- avoid_ros_namespace_conventions: false\n  deadline:
        {nsec: 854775807, sec: 9223372036}\n  depth: 0\n  durability: 2\n  history:
        3\n  lifespan: {nsec: 854775807, sec: 9223372036}\n  liveliness: 1\n  liveliness_lease_duration:
        {nsec: 854775807, sec: 9223372036}\n  reliability: 2"
      serialization_format: cdr
      type: sensor_msgs/msg/PointCloud2
      type_description_hash: RIHS01_0291472005b77d01dba0199dea9b73a207418288e53e353a9caf92278f9a834f
  - message_count: 897
    topic_metadata:
      name: /rgb_cam_ap_a/image_raw
      offered_qos_profiles: "- avoid_ros_namespace_conventions: false\n  deadline:
        {nsec: 0, sec: 5}\n  depth: 0\n  durability: 2\n  history: 3\n  lifespan:
        {nsec: 0, sec: 1}\n  liveliness: 1\n  liveliness_lease_duration: {nsec: 0,
        sec: 10}\n  reliability: 1"
      serialization_format: cdr
      type: sensor_msgs/msg/Image
      type_description_hash: RIHS01_4dd1dba3247e5b4ff33058ab707b45f6e2f2fc535b004d9654bfd0228b0f50f8
  - message_count: 897
    topic_metadata:
      name: /rgb_cam_fs_f/meta
      offered_qos_profiles: "- avoid_ros_namespace_conventions: false\n  deadline:
        {nsec: 854775807, sec: 9223372036}\n  depth: 0\n  durability: 2\n  history:
        3\n  lifespan: {nsec: 854775807, sec: 9223372036}\n  liveliness: 1\n  liveliness_lease_duration:
        {nsec: 854775807, sec: 9223372036}\n  reliability: 1"
      serialization_format: cdr
      type: image_meta_msgs_ros2/msg/ImageMetaData
      type_description_hash: RIHS01_59622a7ab2c4d20fcda070da9b26019493f87bfc7e2319b2cd0352e3cd8179bc
  - message_count: 897
    topic_metadata:
      name: /rgb_cam_fs_s/camera_info
      offered_qos_profiles: "- avoid_ros_namespace_conventions: false\n  deadline:
        {nsec: 0, sec: 5}\n  depth: 0\n  durability: 2\n  history: 3\n  lifespan:
        {nsec: 0, sec: 1}\n  liveliness: 1\n  liveliness_lease_duration: {nsec: 0,
        sec: 10}\n  reliability: 1"
      serialization_format: cdr
      type: sensor_msgs/msg/CameraInfo
      type_description_hash: RIHS01_4fe18f14f23bd095870232f0cd32f4fdb57871a25b25acffb1908480e1ba7612
  - message_count: 896
    topic_metadata:
      name: /rgb_cam_fp_f/camera_info
      offered_qos_profiles: "- avoid_ros_namespace_conventions: false\n  deadline:
        {nsec: 0, sec: 5}\n  depth: 0\n  durability: 2\n  history: 3\n  lifespan:
        {nsec: 0, sec: 1}\n  liveliness: 1\n  liveliness_lease_duration: {nsec: 0,
        sec: 10}\n  reliability: 1"
      serialization_format: cdr
      type: sensor_msgs/msg/CameraInfo
      type_description_hash: RIHS01_4fe18f14f23bd095870232f0cd32f4fdb57871a25b25acffb1908480e1ba7612
  - message_count: 3500
    topic_metadata:
      name: /tf
      offered_qos_profiles: "- avoid_ros_namespace_conventions: false\n  deadline:
        {nsec: 854775807, sec: 9223372036}\n  depth: 0\n  durability: 2\n  history:
        3\n  lifespan: {nsec: 854775807, sec: 9223372036}\n  liveliness: 1\n  liveliness_lease_duration:
        {nsec: 854775807, sec: 9223372036}\n  reliability: 1"
      serialization_format: cdr
      type: tf2_msgs/msg/TFMessage
      type_description_hash: RIHS01_d9e546e448c2c6e2ab58c5b919c5ca4888fc675ad3ad6e7a73ad4a8b57b83bb6
  - message_count: 17930
    topic_metadata:
      name: /lidar_fore/imu
      offered_qos_profiles: "- avoid_ros_namespace_conventions: false\n  deadline:
        {nsec: 854775807, sec: 9223372036}\n  depth: 0\n  durability: 2\n  history:
        3\n  lifespan: {nsec: 854775807, sec: 9223372036}\n  liveliness: 1\n  liveliness_lease_duration:
        {nsec: 854775807, sec: 9223372036}\n  reliability: 2"
      serialization_format: cdr
      type: sensor_msgs/msg/Imu
      type_description_hash: RIHS01_131cf6e9c3196ff484034fa049744c8cb6112a5230a80feec5cddfbf0e60acbe
  - message_count: 896
    topic_metadata:
      name: /rgb_cam_fp_f/image_raw
      offered_qos_profiles: "- avoid_ros_namespace_conventions: false\n  deadline:
        {nsec: 0, sec: 5}\n  depth: 0\n  durability: 2\n  history: 3\n  lifespan:
        {nsec: 0, sec: 1}\n  liveliness: 1\n  liveliness_lease_duration: {nsec: 0,
        sec: 10}\n  reliability: 1"
      serialization_format: cdr
      type: sensor_msgs/msg/Image
      type_description_hash: RIHS01_4dd1dba3247e5b4ff33058ab707b45f6e2f2fc535b004d9654bfd0228b0f50f8
  - message_count: 896
    topic_metadata:
      name: /rgb_cam_as_a/camera_info
      offered_qos_profiles: "- avoid_ros_namespace_conventions: false\n  deadline:
        {nsec: 0, sec: 5}\n  depth: 0\n  durability: 2\n  history: 3\n  lifespan:
        {nsec: 0, sec: 1}\n  liveliness: 1\n  liveliness_lease_duration: {nsec: 0,
        sec: 10}\n  reliability: 1"
      serialization_format: cdr
      type: sensor_msgs/msg/CameraInfo
      type_description_hash: RIHS01_4fe18f14f23bd095870232f0cd32f4fdb57871a25b25acffb1908480e1ba7612
  - message_count: 17932
    topic_metadata:
      name: /lidar_aft/imu
      offered_qos_profiles: "- avoid_ros_namespace_conventions: false\n  deadline:
        {nsec: 854775807, sec: 9223372036}\n  depth: 0\n  durability: 2\n  history:
        3\n  lifespan: {nsec: 854775807, sec: 9223372036}\n  liveliness: 1\n  liveliness_lease_duration:
        {nsec: 854775807, sec: 9223372036}\n  reliability: 2"
      serialization_format: cdr
      type: sensor_msgs/msg/Imu
      type_description_hash: RIHS01_131cf6e9c3196ff484034fa049744c8cb6112a5230a80feec5cddfbf0e60acbe
  - message_count: 896
    topic_metadata:
      name: /rgb_cam_as_a/meta
      offered_qos_profiles: "- avoid_ros_namespace_conventions: false\n  deadline:
        {nsec: 854775807, sec: 9223372036}\n  depth: 0\n  durability: 2\n  history:
        3\n  lifespan: {nsec: 854775807, sec: 9223372036}\n  liveliness: 1\n  liveliness_lease_duration:
        {nsec: 854775807, sec: 9223372036}\n  reliability: 1"
      serialization_format: cdr
      type: image_meta_msgs_ros2/msg/ImageMetaData
      type_description_hash: RIHS01_59622a7ab2c4d20fcda070da9b26019493f87bfc7e2319b2cd0352e3cd8179bc
  - message_count: 896
    topic_metadata:
      name: /rgb_cam_fp_f/meta
      offered_qos_profiles: "- avoid_ros_namespace_conventions: false\n  deadline:
        {nsec: 854775807, sec: 9223372036}\n  depth: 0\n  durability: 2\n  history:
        3\n  lifespan: {nsec: 854775807, sec: 9223372036}\n  liveliness: 1\n  liveliness_lease_duration:
        {nsec: 854775807, sec: 9223372036}\n  reliability: 1"
      serialization_format: cdr
      type: image_meta_msgs_ros2/msg/ImageMetaData
      type_description_hash: RIHS01_59622a7ab2c4d20fcda070da9b26019493f87bfc7e2319b2cd0352e3cd8179bc
  - message_count: 897
    topic_metadata:
      name: /rgb_cam_as_s/meta
      offered_qos_profiles: "- avoid_ros_namespace_conventions: false\n  deadline:
        {nsec: 854775807, sec: 9223372036}\n  depth: 0\n  durability: 2\n  history:
        3\n  lifespan: {nsec: 854775807, sec: 9223372036}\n  liveliness: 1\n  liveliness_lease_duration:
        {nsec: 854775807, sec: 9223372036}\n  reliability: 1"
      serialization_format: cdr
      type: image_meta_msgs_ros2/msg/ImageMetaData
      type_description_hash: RIHS01_59622a7ab2c4d20fcda070da9b26019493f87bfc7e2319b2cd0352e3cd8179bc
  - message_count: 897
    topic_metadata:
      name: /rgb_cam_as_s/image_raw
      offered_qos_profiles: "- avoid_ros_namespace_conventions: false\n  deadline:
        {nsec: 0, sec: 5}\n  depth: 0\n  durability: 2\n  history: 3\n  lifespan:
        {nsec: 0, sec: 1}\n  liveliness: 1\n  liveliness_lease_duration: {nsec: 0,
        sec: 10}\n  reliability: 1"
      serialization_format: cdr
      type: sensor_msgs/msg/Image
      type_description_hash: RIHS01_4dd1dba3247e5b4ff33058ab707b45f6e2f2fc535b004d9654bfd0228b0f50f8
  - message_count: 897
    topic_metadata:
      name: /rgb_cam_ap_p/image_raw
      offered_qos_profiles: "- avoid_ros_namespace_conventions: false\n  deadline:
        {nsec: 0, sec: 5}\n  depth: 0\n  durability: 2\n  history: 3\n  lifespan:
        {nsec: 0, sec: 1}\n  liveliness: 1\n  liveliness_lease_duration: {nsec: 0,
        sec: 10}\n  reliability: 1"
      serialization_format: cdr
      type: sensor_msgs/msg/Image
      type_description_hash: RIHS01_4dd1dba3247e5b4ff33058ab707b45f6e2f2fc535b004d9654bfd0228b0f50f8
  - message_count: 897
    topic_metadata:
      name: /rgb_cam_ap_a/meta
      offered_qos_profiles: "- avoid_ros_namespace_conventions: false\n  deadline:
        {nsec: 854775807, sec: 9223372036}\n  depth: 0\n  durability: 2\n  history:
        3\n  lifespan: {nsec: 854775807, sec: 9223372036}\n  liveliness: 1\n  liveliness_lease_duration:
        {nsec: 854775807, sec: 9223372036}\n  reliability: 1"
      serialization_format: cdr
      type: image_meta_msgs_ros2/msg/ImageMetaData
      type_description_hash: RIHS01_59622a7ab2c4d20fcda070da9b26019493f87bfc7e2319b2cd0352e3cd8179bc
  - message_count: 897
    topic_metadata:
      name: /rgb_cam_ap_a/camera_info
      offered_qos_profiles: "- avoid_ros_namespace_conventions: false\n  deadline:
        {nsec: 0, sec: 5}\n  depth: 0\n  durability: 2\n  history: 3\n  lifespan:
        {nsec: 0, sec: 1}\n  liveliness: 1\n  liveliness_lease_duration: {nsec: 0,
        sec: 10}\n  reliability: 1"
      serialization_format: cdr
      type: sensor_msgs/msg/CameraInfo
      type_description_hash: RIHS01_4fe18f14f23bd095870232f0cd32f4fdb57871a25b25acffb1908480e1ba7612
  - message_count: 897
    topic_metadata:
      name: /rgb_cam_fs_f/image_raw
      offered_qos_profiles: "- avoid_ros_namespace_conventions: false\n  deadline:
        {nsec: 0, sec: 5}\n  depth: 0\n  durability: 2\n  history: 3\n  lifespan:
        {nsec: 0, sec: 1}\n  liveliness: 1\n  liveliness_lease_duration: {nsec: 0,
        sec: 10}\n  reliability: 1"
      serialization_format: cdr
      type: sensor_msgs/msg/Image
      type_description_hash: RIHS01_4dd1dba3247e5b4ff33058ab707b45f6e2f2fc535b004d9654bfd0228b0f50f8
  - message_count: 897
    topic_metadata:
      name: /rgb_cam_fs_s/meta
      offered_qos_profiles: "- avoid_ros_namespace_conventions: false\n  deadline:
        {nsec: 854775807, sec: 9223372036}\n  depth: 0\n  durability: 2\n  history:
        3\n  lifespan: {nsec: 854775807, sec: 9223372036}\n  liveliness: 1\n  liveliness_lease_duration:
        {nsec: 854775807, sec: 9223372036}\n  reliability: 1"
      serialization_format: cdr
      type: image_meta_msgs_ros2/msg/ImageMetaData
      type_description_hash: RIHS01_59622a7ab2c4d20fcda070da9b26019493f87bfc7e2319b2cd0352e3cd8179bc
  - message_count: 897
    topic_metadata:
      name: /rgb_cam_fs_f/camera_info
      offered_qos_profiles: "- avoid_ros_namespace_conventions: false\n  deadline:
        {nsec: 0, sec: 5}\n  depth: 0\n  durability: 2\n  history: 3\n  lifespan:
        {nsec: 0, sec: 1}\n  liveliness: 1\n  liveliness_lease_duration: {nsec: 0,
        sec: 10}\n  reliability: 1"
      serialization_format: cdr
      type: sensor_msgs/msg/CameraInfo
      type_description_hash: RIHS01_4fe18f14f23bd095870232f0cd32f4fdb57871a25b25acffb1908480e1ba7612
  - message_count: 897
    topic_metadata:
      name: /rgb_cam_fs_s/image_raw
      offered_qos_profiles: "- avoid_ros_namespace_conventions: false\n  deadline:
        {nsec: 0, sec: 5}\n  depth: 0\n  durability: 2\n  history: 3\n  lifespan:
        {nsec: 0, sec: 1}\n  liveliness: 1\n  liveliness_lease_duration: {nsec: 0,
        sec: 10}\n  reliability: 1"
      serialization_format: cdr
      type: sensor_msgs/msg/Image
      type_description_hash: RIHS01_4dd1dba3247e5b4ff33058ab707b45f6e2f2fc535b004d9654bfd0228b0f50f8
  - message_count: 3500
    topic_metadata:
      name: /navigation/twist
      offered_qos_profiles: "- avoid_ros_namespace_conventions: false\n  deadline:
        {nsec: 854775807, sec: 9223372036}\n  depth: 0\n  durability: 2\n  history:
        3\n  lifespan: {nsec: 854775807, sec: 9223372036}\n  liveliness: 1\n  liveliness_lease_duration:
        {nsec: 854775807, sec: 9223372036}\n  reliability: 1"
      serialization_format: cdr
      type: geometry_msgs/msg/TwistStamped
      type_description_hash: RIHS01_1f132020d7111867d8ea6a628b68a9c3e14a9200eac627a7f95f678ed4834b54
  - message_count: 3501
    topic_metadata:
      name: /navigation/pose
      offered_qos_profiles: "- avoid_ros_namespace_conventions: false\n  deadline:
        {nsec: 854775807, sec: 9223372036}\n  depth: 0\n  durability: 2\n  history:
        3\n  lifespan: {nsec: 854775807, sec: 9223372036}\n  liveliness: 1\n  liveliness_lease_duration:
        {nsec: 854775807, sec: 9223372036}\n  reliability: 1"
      serialization_format: cdr
      type: geometry_msgs/msg/PoseStamped
      type_description_hash: RIHS01_e1976fb283f2545d8b337b2dc680f5f37cb1e1c9c6fab6e0b255d07b80f04e99
  - message_count: 897
    topic_metadata:
      name: /rgb_cam_ap_p/camera_info
      offered_qos_profiles: "- avoid_ros_namespace_conventions: false\n  deadline:
        {nsec: 0, sec: 5}\n  depth: 0\n  durability: 2\n  history: 3\n  lifespan:
        {nsec: 0, sec: 1}\n  liveliness: 1\n  liveliness_lease_duration: {nsec: 0,
        sec: 10}\n  reliability: 1"
      serialization_format: cdr
      type: sensor_msgs/msg/CameraInfo
      type_description_hash: RIHS01_4fe18f14f23bd095870232f0cd32f4fdb57871a25b25acffb1908480e1ba7612
  - message_count: 897
    topic_metadata:
      name: /rgb_cam_ap_p/meta
      offered_qos_profiles: "- avoid_ros_namespace_conventions: false\n  deadline:
        {nsec: 854775807, sec: 9223372036}\n  depth: 0\n  durability: 2\n  history:
        3\n  lifespan: {nsec: 854775807, sec: 9223372036}\n  liveliness: 1\n  liveliness_lease_duration:
        {nsec: 854775807, sec: 9223372036}\n  reliability: 1"
      serialization_format: cdr
      type: image_meta_msgs_ros2/msg/ImageMetaData
      type_description_hash: RIHS01_59622a7ab2c4d20fcda070da9b26019493f87bfc7e2319b2cd0352e3cd8179bc
  - message_count: 1793
    topic_metadata:
      name: /lidar_fore/points
      offered_qos_profiles: "- avoid_ros_namespace_conventions: false\n  deadline:
        {nsec: 854775807, sec: 9223372036}\n  depth: 0\n  durability: 2\n  history:
        3\n  lifespan: {nsec: 854775807, sec: 9223372036}\n  liveliness: 1\n  liveliness_lease_duration:
        {nsec: 854775807, sec: 9223372036}\n  reliability: 2"
      serialization_format: cdr
      type: sensor_msgs/msg/PointCloud2
      type_description_hash: RIHS01_0291472005b77d01dba0199dea9b73a207418288e53e353a9caf92278f9a834f
  - message_count: 897
    topic_metadata:
      name: /rgb_cam_as_s/camera_info
      offered_qos_profiles: "- avoid_ros_namespace_conventions: false\n  deadline:
        {nsec: 0, sec: 5}\n  depth: 0\n  durability: 2\n  history: 3\n  lifespan:
        {nsec: 0, sec: 1}\n  liveliness: 1\n  liveliness_lease_duration: {nsec: 0,
        sec: 10}\n  reliability: 1"
      serialization_format: cdr
      type: sensor_msgs/msg/CameraInfo
      type_description_hash: RIHS01_4fe18f14f23bd095870232f0cd32f4fdb57871a25b25acffb1908480e1ba7612
  version: 8
